---
title: Download file, containing exported data.
slug: api-documentation/gvUi-download-file-containing-exported-data
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "BOwLPpXu-b1iFvhxU5lJ_",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/download-erroneous-report",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/download-erroneous-report"
      }
    ],
    "name": "Download file, containing exported data.",
    "description": "This endpoint returns a file containing erroneous report of that batch.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "description": "The ID of the file to download"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/file"
          ],
          "default": "application/file"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful file download",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "DGSHsRJS6xGGQCrXtaQ_O",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/download-erroneous-report \\\n     --header 'accept: application/file'"
        },
        {
          "id": "rG_IXKTl-EpmyNxDknyds",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/file\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/download-erroneous-report\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "_ywP3QQA397YHAFLdhrE8",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/download-erroneous-report\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/file\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ZtJvbemCEwdviYujdC-zx",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/download-erroneous-report\"\n\npayload = {}\nheaders = {\n   'accept': 'application/file',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "DGSHsRJS6xGGQCrXtaQ_O"
    },
    "results": {
      "languages": [
        {
          "id": "YouF45WZt8LbykT5JALtQ",
          "language": "200",
          "code": "// Successful file download\n"
        }
      ],
      "selectedLanguageId": "YouF45WZt8LbykT5JALtQ"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}